> For the complete documentation index, see [llms.txt](https://docs.bbchain.com.br/bbchain-ebs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bbchain.com.br/bbchain-ebs/bbchain-ebs-pt/para-desenvolvedores/api-reference/network-management/network/network-api-controller.md).

# Network Api Controller

## GET /v1/networks/{network-id}

> Returns a network

```json
{"openapi":"3.1.0","info":{"title":"EBS Network API","version":"0.1.0"},"servers":[{"url":"https://netw-p-bk-api.saas.ebs.bbchain.network","description":"Generated server url"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"NetworkDescription":{"type":"object","properties":{"alias":{"type":"string","description":"An alias for the network being created. Used to be easily recognized by the user."},"protocol":{"$ref":"#/components/schemas/NetworkDescriptionBaseProtocol"},"customer":{"type":"integer","format":"int64"},"tenant":{"$ref":"#/components/schemas/TenantDTO"},"organization":{"type":"string","maxLength":110,"minLength":2,"pattern":"^[A-Z][A-Za-z0-9]*(\\s[A-Za-z0-9]+)*$"},"city":{"type":"string","maxLength":64,"minLength":2,"pattern":"^[A-Z][A-Za-z]*(\\s[A-Za-z]+)*$"},"country":{"type":"string","maxLength":2,"minLength":2,"pattern":"^[A-Z][A-Z]$"},"id":{"type":"integer","format":"int64","readOnly":true},"status":{"type":"string","enum":["STARTING","RUNNING","CREATING","STOPPING","STOPPED","PENDING_UPDATE","DELETING","ERROR","PURGING","RESTARTING"]},"name":{"type":"string","description":"The name of the network as it will be built in the cloud. It must: be lowercase; not contain special characters; not be longer than X characters. TODO: define the max length properly","pattern":"^([a-z0-9]+)(\\-[a-z0-9]+)*"},"explorer":{"type":"string","readOnly":true},"internalDomain":{"type":"string","readOnly":true},"isPublic":{"type":"boolean"},"nodeNames":{"type":"array","description":"List of node names used in network creation.","items":{"type":"string"}},"payer":{"type":"string","format":"uuid","readOnly":true},"creationDate":{"type":"string","format":"date-time","readOnly":true},"createdBy":{"type":"string","description":"User or entity that created the network.","readOnly":true},"participants":{"type":"integer","format":"int64","readOnly":true},"nodes":{"type":"integer","format":"int64","readOnly":true},"platformVersion":{"type":"integer","format":"int32","readOnly":true},"isExternal":{"type":"boolean","readOnly":true},"hasGenesis":{"type":"boolean","readOnly":true},"sandboxConfiguration":{"$ref":"#/components/schemas/SandboxConfiguration"}},"required":["alias","city","country","customer","organization","protocol","tenant"]},"NetworkDescriptionBaseProtocol":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string","readOnly":true},"tag":{"type":"string","readOnly":true}},"required":["id"]},"TenantDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64","readOnly":true},"name":{"type":"string","description":"The name of the tenant.","readOnly":true},"lastUpdated":{"type":"string","format":"date-time","description":"Last time the tenant was updated.","readOnly":true},"location":{"$ref":"#/components/schemas/TenantLocationDTO"},"tier":{"$ref":"#/components/schemas/TenantTierDTO"}}},"TenantLocationDTO":{"type":"object","properties":{"name":{"type":"string","description":"The region where the cluster is deployed."},"coordinates":{"$ref":"#/components/schemas/TenantLocationDTOCoordinates"}},"required":["coordinates","name"]},"TenantLocationDTOCoordinates":{"type":"object","properties":{"longitude":{"type":"string"},"latitude":{"type":"string"}},"required":["latitude","longitude"]},"TenantTierDTO":{"type":"object","properties":{"name":{"type":"string","description":"User friendly name for cluster sizing."},"description":{"type":"string","description":"Info about the tenant"},"public":{"type":"boolean","description":"Defines if it is a public tenant or not"},"sizing":{"$ref":"#/components/schemas/TenantHardwareSizeDTO"}}},"TenantHardwareSizeDTO":{"type":"object","properties":{"vcpu":{"type":"number","format":"double","description":"Number of virtual cpus.","readOnly":true},"ram":{"type":"integer","format":"int64","description":"Size of RAM.","readOnly":true}},"required":["ram","vcpu"]},"SandboxConfiguration":{"type":"object","properties":{"network":{"type":"integer","format":"int64"},"mainUrl":{"type":"string"},"available":{"type":"boolean"},"id":{"type":"integer","format":"int64","readOnly":true}},"required":["available","mainUrl","network"]},"Error":{"type":"object","properties":{"message":{"type":"string","description":"Error status summary for the executed command."},"code":{"type":"string","description":"# `network.{field}.invalid` field is non compliant # `auth.invalid` Invalid credentials sent to the server. # `auth.verifyEmail` User did not verified their email. # `auth.mustChangePassword` User must change password.         # `user.emailAlreadyUsed` Email already exists. # `auth.forbidden` Forbidden access # `internal.unexpected` Unexpected error from server ","enum":["auth.invalid","auth.verifyEmail","auth.unauthorized","auth.forbidden","auth.expired","auth.blocked","auth.emailDomainBlocked","auth.mustChangePassword","auth.invalidPhoneVerificationCode","auth.passwordNotValid","auth.unableToUpdatePassword","user.notFound","user.created","user.notCreated","user.emailAlreadyExists","userHasRoleInClient","notaryNotFound","notaryPublishDateTooEarly","notaryOrganizationNameConflict","notaryIsCreating","network.notFound","network.alias.invalid","network.name.invalid","network.domain.invalid","network.organizationLegalName.invalid","network.city.invalid","network.country.invalid","network.nodeDomain.invalid","network.tenant.invalid","networkUserDoesNotHavePermissionOnNode","networkUserDoesNotHaveOperatorPermissionOnNode","networkUserDoesNotHavePermissionOnNotary","networkUserDoesNotHaveOperatorPermissionOnNotary","node.notFound","nodeOrganizationNameConflict","cordappVersionShouldBeDisabled","cordappShouldNotHaveVersions","shouldWaitPendingFlagday","internal.unexpected","field.required","field.invalid","field.size","field.pattern","illegalStatus","badRequest","timeConstraint","reachedMaxNetworks","reachedSubscriptionLimit","userReachedSubscriptionLimit","subscriptionTenantNotFoundBecauseNetworkNotFound","subscriptionNodeNameConflict","featureDisabled","adminActionNotFound","adminActionExists","adminActionNotCreated","adminActionDuplicated","adminCloudProviderNotFound","adminCloudProviderExists","adminCloudProviderNotCreated","adminProtocolNotFound","adminProtocolExists","adminProtocolNotCreated","adminPipelineServiceNotFound","adminPipelineServiceExists","adminPipelineServiceNotCreated","adminTenantNotFound","adminTenantExists","adminTenantNotCreated","adminPipelineNotFound","adminPipelineExists","adminPipelineNotCreated","adminComponentNotFound","adminComponentExists","adminComponentNotCreated","adminTenantSettingsNotFound","adminTenantSettingsExists","adminTenantSettingsNotCreated","adminTenantProtocolNotFound","adminTenantProtocolExists","adminTenantProtocolNotCreated","adminFeatureToggleNotFound","adminFeatureToggleExists","adminUserNotFound","adminNetworkNotFound","adminNetworkExists","adminNodeNotFound","adminNodeExists","adminNotaryNotFound","adminNotaryExists","adminPipelineActionDuplicated","adminAppNotFound","adminAppVersionNotFound","adminAppInstallationNotFound","adminComponentTypeNotFound","adminComponentTypeExists","adminBaseDltNotFound","adminBaseDltExists","adminBaseDltNotCreated","adminIdentityProviderNotFound","adminIdentityProviderExists","adminIdentityProviderNotCreated","adminNodeFeatureNotFound","adminNodeFeatureExists","adminNodeFeatureNotCreated","adminSpecializedModuleNotFound","adminSpecializedModuleExists"]}}}}},"paths":{"/v1/networks/{network-id}":{"get":{"tags":["network-api-controller"],"summary":"Returns a network","operationId":"getNetwork","parameters":[{"name":"network-id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Successfull Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NetworkDescription"}}}},"401":{"description":"User is not authenticated.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}},"403":{"description":"User is authenticated but not allowed.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}},"404":{"description":"Resource does not exists.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}},"500":{"description":"The message code is an encoded string that must be sent to the support team as a ticket.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}}}}}}}
```

## Updates the network by its id

> Updates the network by its id

```json
{"openapi":"3.1.0","info":{"title":"EBS Network API","version":"0.1.0"},"servers":[{"url":"https://netw-p-bk-api.saas.ebs.bbchain.network","description":"Generated server url"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"NetworkDescriptionUpdateDTO":{"type":"object","properties":{"alias":{"type":"string","description":"An alias for the network being created. Used to be easily recognized by the user."},"tenant":{"$ref":"#/components/schemas/TenantDTO"},"protocol":{"type":"integer","format":"int64"},"isPublic":{"type":"boolean"},"command":{"type":"string","enum":["STOP","START","RESTART","PURGE"]}},"required":["alias"]},"TenantDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64","readOnly":true},"name":{"type":"string","description":"The name of the tenant.","readOnly":true},"lastUpdated":{"type":"string","format":"date-time","description":"Last time the tenant was updated.","readOnly":true},"location":{"$ref":"#/components/schemas/TenantLocationDTO"},"tier":{"$ref":"#/components/schemas/TenantTierDTO"}}},"TenantLocationDTO":{"type":"object","properties":{"name":{"type":"string","description":"The region where the cluster is deployed."},"coordinates":{"$ref":"#/components/schemas/TenantLocationDTOCoordinates"}},"required":["coordinates","name"]},"TenantLocationDTOCoordinates":{"type":"object","properties":{"longitude":{"type":"string"},"latitude":{"type":"string"}},"required":["latitude","longitude"]},"TenantTierDTO":{"type":"object","properties":{"name":{"type":"string","description":"User friendly name for cluster sizing."},"description":{"type":"string","description":"Info about the tenant"},"public":{"type":"boolean","description":"Defines if it is a public tenant or not"},"sizing":{"$ref":"#/components/schemas/TenantHardwareSizeDTO"}}},"TenantHardwareSizeDTO":{"type":"object","properties":{"vcpu":{"type":"number","format":"double","description":"Number of virtual cpus.","readOnly":true},"ram":{"type":"integer","format":"int64","description":"Size of RAM.","readOnly":true}},"required":["ram","vcpu"]},"Error":{"type":"object","properties":{"message":{"type":"string","description":"Error status summary for the executed command."},"code":{"type":"string","description":"# `network.{field}.invalid` field is non compliant # `auth.invalid` Invalid credentials sent to the server. # `auth.verifyEmail` User did not verified their email. # `auth.mustChangePassword` User must change password.         # `user.emailAlreadyUsed` Email already exists. # `auth.forbidden` Forbidden access # `internal.unexpected` Unexpected error from server ","enum":["auth.invalid","auth.verifyEmail","auth.unauthorized","auth.forbidden","auth.expired","auth.blocked","auth.emailDomainBlocked","auth.mustChangePassword","auth.invalidPhoneVerificationCode","auth.passwordNotValid","auth.unableToUpdatePassword","user.notFound","user.created","user.notCreated","user.emailAlreadyExists","userHasRoleInClient","notaryNotFound","notaryPublishDateTooEarly","notaryOrganizationNameConflict","notaryIsCreating","network.notFound","network.alias.invalid","network.name.invalid","network.domain.invalid","network.organizationLegalName.invalid","network.city.invalid","network.country.invalid","network.nodeDomain.invalid","network.tenant.invalid","networkUserDoesNotHavePermissionOnNode","networkUserDoesNotHaveOperatorPermissionOnNode","networkUserDoesNotHavePermissionOnNotary","networkUserDoesNotHaveOperatorPermissionOnNotary","node.notFound","nodeOrganizationNameConflict","cordappVersionShouldBeDisabled","cordappShouldNotHaveVersions","shouldWaitPendingFlagday","internal.unexpected","field.required","field.invalid","field.size","field.pattern","illegalStatus","badRequest","timeConstraint","reachedMaxNetworks","reachedSubscriptionLimit","userReachedSubscriptionLimit","subscriptionTenantNotFoundBecauseNetworkNotFound","subscriptionNodeNameConflict","featureDisabled","adminActionNotFound","adminActionExists","adminActionNotCreated","adminActionDuplicated","adminCloudProviderNotFound","adminCloudProviderExists","adminCloudProviderNotCreated","adminProtocolNotFound","adminProtocolExists","adminProtocolNotCreated","adminPipelineServiceNotFound","adminPipelineServiceExists","adminPipelineServiceNotCreated","adminTenantNotFound","adminTenantExists","adminTenantNotCreated","adminPipelineNotFound","adminPipelineExists","adminPipelineNotCreated","adminComponentNotFound","adminComponentExists","adminComponentNotCreated","adminTenantSettingsNotFound","adminTenantSettingsExists","adminTenantSettingsNotCreated","adminTenantProtocolNotFound","adminTenantProtocolExists","adminTenantProtocolNotCreated","adminFeatureToggleNotFound","adminFeatureToggleExists","adminUserNotFound","adminNetworkNotFound","adminNetworkExists","adminNodeNotFound","adminNodeExists","adminNotaryNotFound","adminNotaryExists","adminPipelineActionDuplicated","adminAppNotFound","adminAppVersionNotFound","adminAppInstallationNotFound","adminComponentTypeNotFound","adminComponentTypeExists","adminBaseDltNotFound","adminBaseDltExists","adminBaseDltNotCreated","adminIdentityProviderNotFound","adminIdentityProviderExists","adminIdentityProviderNotCreated","adminNodeFeatureNotFound","adminNodeFeatureExists","adminNodeFeatureNotCreated","adminSpecializedModuleNotFound","adminSpecializedModuleExists"]}}}}},"paths":{"/v1/networks/{network-id}":{"put":{"tags":["network-api-controller"],"summary":"Updates the network by its id","description":"Updates the network by its id","operationId":"putNetwork","parameters":[{"name":"network-id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NetworkDescriptionUpdateDTO"}}},"required":true},"responses":{"204":{"description":"Successfull Request","content":{}},"400":{"description":"Invalid request","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}},"401":{"description":"User is not authenticated.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}},"403":{"description":"User is authenticated but not allowed.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}},"404":{"description":"Resource does not exists.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}},"500":{"description":"The message code is an encoded string that must be sent to the support team as a ticket.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}}}}}}}
```

## DELETE /v1/networks/{network-id}

> Deletes a network

```json
{"openapi":"3.1.0","info":{"title":"EBS Network API","version":"0.1.0"},"servers":[{"url":"https://netw-p-bk-api.saas.ebs.bbchain.network","description":"Generated server url"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"NetworkDescription":{"type":"object","properties":{"alias":{"type":"string","description":"An alias for the network being created. Used to be easily recognized by the user."},"protocol":{"$ref":"#/components/schemas/NetworkDescriptionBaseProtocol"},"customer":{"type":"integer","format":"int64"},"tenant":{"$ref":"#/components/schemas/TenantDTO"},"organization":{"type":"string","maxLength":110,"minLength":2,"pattern":"^[A-Z][A-Za-z0-9]*(\\s[A-Za-z0-9]+)*$"},"city":{"type":"string","maxLength":64,"minLength":2,"pattern":"^[A-Z][A-Za-z]*(\\s[A-Za-z]+)*$"},"country":{"type":"string","maxLength":2,"minLength":2,"pattern":"^[A-Z][A-Z]$"},"id":{"type":"integer","format":"int64","readOnly":true},"status":{"type":"string","enum":["STARTING","RUNNING","CREATING","STOPPING","STOPPED","PENDING_UPDATE","DELETING","ERROR","PURGING","RESTARTING"]},"name":{"type":"string","description":"The name of the network as it will be built in the cloud. It must: be lowercase; not contain special characters; not be longer than X characters. TODO: define the max length properly","pattern":"^([a-z0-9]+)(\\-[a-z0-9]+)*"},"explorer":{"type":"string","readOnly":true},"internalDomain":{"type":"string","readOnly":true},"isPublic":{"type":"boolean"},"nodeNames":{"type":"array","description":"List of node names used in network creation.","items":{"type":"string"}},"payer":{"type":"string","format":"uuid","readOnly":true},"creationDate":{"type":"string","format":"date-time","readOnly":true},"createdBy":{"type":"string","description":"User or entity that created the network.","readOnly":true},"participants":{"type":"integer","format":"int64","readOnly":true},"nodes":{"type":"integer","format":"int64","readOnly":true},"platformVersion":{"type":"integer","format":"int32","readOnly":true},"isExternal":{"type":"boolean","readOnly":true},"hasGenesis":{"type":"boolean","readOnly":true},"sandboxConfiguration":{"$ref":"#/components/schemas/SandboxConfiguration"}},"required":["alias","city","country","customer","organization","protocol","tenant"]},"NetworkDescriptionBaseProtocol":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string","readOnly":true},"tag":{"type":"string","readOnly":true}},"required":["id"]},"TenantDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64","readOnly":true},"name":{"type":"string","description":"The name of the tenant.","readOnly":true},"lastUpdated":{"type":"string","format":"date-time","description":"Last time the tenant was updated.","readOnly":true},"location":{"$ref":"#/components/schemas/TenantLocationDTO"},"tier":{"$ref":"#/components/schemas/TenantTierDTO"}}},"TenantLocationDTO":{"type":"object","properties":{"name":{"type":"string","description":"The region where the cluster is deployed."},"coordinates":{"$ref":"#/components/schemas/TenantLocationDTOCoordinates"}},"required":["coordinates","name"]},"TenantLocationDTOCoordinates":{"type":"object","properties":{"longitude":{"type":"string"},"latitude":{"type":"string"}},"required":["latitude","longitude"]},"TenantTierDTO":{"type":"object","properties":{"name":{"type":"string","description":"User friendly name for cluster sizing."},"description":{"type":"string","description":"Info about the tenant"},"public":{"type":"boolean","description":"Defines if it is a public tenant or not"},"sizing":{"$ref":"#/components/schemas/TenantHardwareSizeDTO"}}},"TenantHardwareSizeDTO":{"type":"object","properties":{"vcpu":{"type":"number","format":"double","description":"Number of virtual cpus.","readOnly":true},"ram":{"type":"integer","format":"int64","description":"Size of RAM.","readOnly":true}},"required":["ram","vcpu"]},"SandboxConfiguration":{"type":"object","properties":{"network":{"type":"integer","format":"int64"},"mainUrl":{"type":"string"},"available":{"type":"boolean"},"id":{"type":"integer","format":"int64","readOnly":true}},"required":["available","mainUrl","network"]},"Error":{"type":"object","properties":{"message":{"type":"string","description":"Error status summary for the executed command."},"code":{"type":"string","description":"# `network.{field}.invalid` field is non compliant # `auth.invalid` Invalid credentials sent to the server. # `auth.verifyEmail` User did not verified their email. # `auth.mustChangePassword` User must change password.         # `user.emailAlreadyUsed` Email already exists. # `auth.forbidden` Forbidden access # `internal.unexpected` Unexpected error from server ","enum":["auth.invalid","auth.verifyEmail","auth.unauthorized","auth.forbidden","auth.expired","auth.blocked","auth.emailDomainBlocked","auth.mustChangePassword","auth.invalidPhoneVerificationCode","auth.passwordNotValid","auth.unableToUpdatePassword","user.notFound","user.created","user.notCreated","user.emailAlreadyExists","userHasRoleInClient","notaryNotFound","notaryPublishDateTooEarly","notaryOrganizationNameConflict","notaryIsCreating","network.notFound","network.alias.invalid","network.name.invalid","network.domain.invalid","network.organizationLegalName.invalid","network.city.invalid","network.country.invalid","network.nodeDomain.invalid","network.tenant.invalid","networkUserDoesNotHavePermissionOnNode","networkUserDoesNotHaveOperatorPermissionOnNode","networkUserDoesNotHavePermissionOnNotary","networkUserDoesNotHaveOperatorPermissionOnNotary","node.notFound","nodeOrganizationNameConflict","cordappVersionShouldBeDisabled","cordappShouldNotHaveVersions","shouldWaitPendingFlagday","internal.unexpected","field.required","field.invalid","field.size","field.pattern","illegalStatus","badRequest","timeConstraint","reachedMaxNetworks","reachedSubscriptionLimit","userReachedSubscriptionLimit","subscriptionTenantNotFoundBecauseNetworkNotFound","subscriptionNodeNameConflict","featureDisabled","adminActionNotFound","adminActionExists","adminActionNotCreated","adminActionDuplicated","adminCloudProviderNotFound","adminCloudProviderExists","adminCloudProviderNotCreated","adminProtocolNotFound","adminProtocolExists","adminProtocolNotCreated","adminPipelineServiceNotFound","adminPipelineServiceExists","adminPipelineServiceNotCreated","adminTenantNotFound","adminTenantExists","adminTenantNotCreated","adminPipelineNotFound","adminPipelineExists","adminPipelineNotCreated","adminComponentNotFound","adminComponentExists","adminComponentNotCreated","adminTenantSettingsNotFound","adminTenantSettingsExists","adminTenantSettingsNotCreated","adminTenantProtocolNotFound","adminTenantProtocolExists","adminTenantProtocolNotCreated","adminFeatureToggleNotFound","adminFeatureToggleExists","adminUserNotFound","adminNetworkNotFound","adminNetworkExists","adminNodeNotFound","adminNodeExists","adminNotaryNotFound","adminNotaryExists","adminPipelineActionDuplicated","adminAppNotFound","adminAppVersionNotFound","adminAppInstallationNotFound","adminComponentTypeNotFound","adminComponentTypeExists","adminBaseDltNotFound","adminBaseDltExists","adminBaseDltNotCreated","adminIdentityProviderNotFound","adminIdentityProviderExists","adminIdentityProviderNotCreated","adminNodeFeatureNotFound","adminNodeFeatureExists","adminNodeFeatureNotCreated","adminSpecializedModuleNotFound","adminSpecializedModuleExists"]}}}}},"paths":{"/v1/networks/{network-id}":{"delete":{"tags":["network-api-controller"],"summary":"Deletes a network","operationId":"deleteNetwork","parameters":[{"name":"network-id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Successfull Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NetworkDescription"}}}},"401":{"description":"User is not authenticated.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}},"403":{"description":"User is authenticated but not allowed.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}},"404":{"description":"Resource does not exists.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}},"500":{"description":"The message code is an encoded string that must be sent to the support team as a ticket.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}}}}}}}
```

## Updates the network status by its id

> Updates the network status by its id

```json
{"openapi":"3.1.0","info":{"title":"EBS Network API","version":"0.1.0"},"servers":[{"url":"https://netw-p-bk-api.saas.ebs.bbchain.network","description":"Generated server url"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"CommmandRequest":{"type":"object","properties":{"command":{"type":"string","enum":["STOP","START","RESTART","PURGE"]}},"required":["command"]},"Error":{"type":"object","properties":{"message":{"type":"string","description":"Error status summary for the executed command."},"code":{"type":"string","description":"# `network.{field}.invalid` field is non compliant # `auth.invalid` Invalid credentials sent to the server. # `auth.verifyEmail` User did not verified their email. # `auth.mustChangePassword` User must change password.         # `user.emailAlreadyUsed` Email already exists. # `auth.forbidden` Forbidden access # `internal.unexpected` Unexpected error from server ","enum":["auth.invalid","auth.verifyEmail","auth.unauthorized","auth.forbidden","auth.expired","auth.blocked","auth.emailDomainBlocked","auth.mustChangePassword","auth.invalidPhoneVerificationCode","auth.passwordNotValid","auth.unableToUpdatePassword","user.notFound","user.created","user.notCreated","user.emailAlreadyExists","userHasRoleInClient","notaryNotFound","notaryPublishDateTooEarly","notaryOrganizationNameConflict","notaryIsCreating","network.notFound","network.alias.invalid","network.name.invalid","network.domain.invalid","network.organizationLegalName.invalid","network.city.invalid","network.country.invalid","network.nodeDomain.invalid","network.tenant.invalid","networkUserDoesNotHavePermissionOnNode","networkUserDoesNotHaveOperatorPermissionOnNode","networkUserDoesNotHavePermissionOnNotary","networkUserDoesNotHaveOperatorPermissionOnNotary","node.notFound","nodeOrganizationNameConflict","cordappVersionShouldBeDisabled","cordappShouldNotHaveVersions","shouldWaitPendingFlagday","internal.unexpected","field.required","field.invalid","field.size","field.pattern","illegalStatus","badRequest","timeConstraint","reachedMaxNetworks","reachedSubscriptionLimit","userReachedSubscriptionLimit","subscriptionTenantNotFoundBecauseNetworkNotFound","subscriptionNodeNameConflict","featureDisabled","adminActionNotFound","adminActionExists","adminActionNotCreated","adminActionDuplicated","adminCloudProviderNotFound","adminCloudProviderExists","adminCloudProviderNotCreated","adminProtocolNotFound","adminProtocolExists","adminProtocolNotCreated","adminPipelineServiceNotFound","adminPipelineServiceExists","adminPipelineServiceNotCreated","adminTenantNotFound","adminTenantExists","adminTenantNotCreated","adminPipelineNotFound","adminPipelineExists","adminPipelineNotCreated","adminComponentNotFound","adminComponentExists","adminComponentNotCreated","adminTenantSettingsNotFound","adminTenantSettingsExists","adminTenantSettingsNotCreated","adminTenantProtocolNotFound","adminTenantProtocolExists","adminTenantProtocolNotCreated","adminFeatureToggleNotFound","adminFeatureToggleExists","adminUserNotFound","adminNetworkNotFound","adminNetworkExists","adminNodeNotFound","adminNodeExists","adminNotaryNotFound","adminNotaryExists","adminPipelineActionDuplicated","adminAppNotFound","adminAppVersionNotFound","adminAppInstallationNotFound","adminComponentTypeNotFound","adminComponentTypeExists","adminBaseDltNotFound","adminBaseDltExists","adminBaseDltNotCreated","adminIdentityProviderNotFound","adminIdentityProviderExists","adminIdentityProviderNotCreated","adminNodeFeatureNotFound","adminNodeFeatureExists","adminNodeFeatureNotCreated","adminSpecializedModuleNotFound","adminSpecializedModuleExists"]}}}}},"paths":{"/v1/networks/{network-id}":{"patch":{"tags":["network-api-controller"],"summary":"Updates the network status by its id","description":"Updates the network status by its id","operationId":"commmand","parameters":[{"name":"network-id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CommmandRequest"}}},"required":true},"responses":{"204":{"description":"Successfull Request","content":{}},"400":{"description":"Invalid request","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}},"401":{"description":"User is not authenticated.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}},"403":{"description":"User is authenticated but not allowed.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}},"404":{"description":"Resource does not exists.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}},"500":{"description":"The message code is an encoded string that must be sent to the support team as a ticket.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}}}}}}}
```

## PUT /v1/networks/{network-id}/legal-name

> High impact change

```json
{"openapi":"3.1.0","info":{"title":"EBS Network API","version":"0.1.0"},"servers":[{"url":"https://netw-p-bk-api.saas.ebs.bbchain.network","description":"Generated server url"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"LegalNameDTO":{"type":"object","properties":{"organization":{"type":"string","maxLength":110,"minLength":2,"pattern":"^[A-Z][A-Za-z0-9]*(\\s[A-Za-z0-9]+)*$"},"city":{"type":"string","maxLength":64,"minLength":2,"pattern":"^[A-Z][A-Za-z]*(\\s[A-Za-z]+)*$"},"country":{"type":"string","maxLength":2,"minLength":2,"pattern":"^[A-Z][A-Z]$"}},"required":["city","country","organization"]},"Error":{"type":"object","properties":{"message":{"type":"string","description":"Error status summary for the executed command."},"code":{"type":"string","description":"# `network.{field}.invalid` field is non compliant # `auth.invalid` Invalid credentials sent to the server. # `auth.verifyEmail` User did not verified their email. # `auth.mustChangePassword` User must change password.         # `user.emailAlreadyUsed` Email already exists. # `auth.forbidden` Forbidden access # `internal.unexpected` Unexpected error from server ","enum":["auth.invalid","auth.verifyEmail","auth.unauthorized","auth.forbidden","auth.expired","auth.blocked","auth.emailDomainBlocked","auth.mustChangePassword","auth.invalidPhoneVerificationCode","auth.passwordNotValid","auth.unableToUpdatePassword","user.notFound","user.created","user.notCreated","user.emailAlreadyExists","userHasRoleInClient","notaryNotFound","notaryPublishDateTooEarly","notaryOrganizationNameConflict","notaryIsCreating","network.notFound","network.alias.invalid","network.name.invalid","network.domain.invalid","network.organizationLegalName.invalid","network.city.invalid","network.country.invalid","network.nodeDomain.invalid","network.tenant.invalid","networkUserDoesNotHavePermissionOnNode","networkUserDoesNotHaveOperatorPermissionOnNode","networkUserDoesNotHavePermissionOnNotary","networkUserDoesNotHaveOperatorPermissionOnNotary","node.notFound","nodeOrganizationNameConflict","cordappVersionShouldBeDisabled","cordappShouldNotHaveVersions","shouldWaitPendingFlagday","internal.unexpected","field.required","field.invalid","field.size","field.pattern","illegalStatus","badRequest","timeConstraint","reachedMaxNetworks","reachedSubscriptionLimit","userReachedSubscriptionLimit","subscriptionTenantNotFoundBecauseNetworkNotFound","subscriptionNodeNameConflict","featureDisabled","adminActionNotFound","adminActionExists","adminActionNotCreated","adminActionDuplicated","adminCloudProviderNotFound","adminCloudProviderExists","adminCloudProviderNotCreated","adminProtocolNotFound","adminProtocolExists","adminProtocolNotCreated","adminPipelineServiceNotFound","adminPipelineServiceExists","adminPipelineServiceNotCreated","adminTenantNotFound","adminTenantExists","adminTenantNotCreated","adminPipelineNotFound","adminPipelineExists","adminPipelineNotCreated","adminComponentNotFound","adminComponentExists","adminComponentNotCreated","adminTenantSettingsNotFound","adminTenantSettingsExists","adminTenantSettingsNotCreated","adminTenantProtocolNotFound","adminTenantProtocolExists","adminTenantProtocolNotCreated","adminFeatureToggleNotFound","adminFeatureToggleExists","adminUserNotFound","adminNetworkNotFound","adminNetworkExists","adminNodeNotFound","adminNodeExists","adminNotaryNotFound","adminNotaryExists","adminPipelineActionDuplicated","adminAppNotFound","adminAppVersionNotFound","adminAppInstallationNotFound","adminComponentTypeNotFound","adminComponentTypeExists","adminBaseDltNotFound","adminBaseDltExists","adminBaseDltNotCreated","adminIdentityProviderNotFound","adminIdentityProviderExists","adminIdentityProviderNotCreated","adminNodeFeatureNotFound","adminNodeFeatureExists","adminNodeFeatureNotCreated","adminSpecializedModuleNotFound","adminSpecializedModuleExists"]}}}}},"paths":{"/v1/networks/{network-id}/legal-name":{"put":{"tags":["network-api-controller"],"summary":"High impact change","operationId":"putNetworkLegalName","parameters":[{"name":"network-id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LegalNameDTO"}}},"required":true},"responses":{"204":{"description":"Successfull Request","content":{}},"400":{"description":"Invalid request","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}},"401":{"description":"User is not authenticated.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}},"403":{"description":"User is authenticated but not allowed.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}},"404":{"description":"Resource does not exists.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}},"500":{"description":"The message code is an encoded string that must be sent to the support team as a ticket.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}}}}}}}
```

## Returns a list of networks

> Returns a list of networks the user can read and/or write.

```json
{"openapi":"3.1.0","info":{"title":"EBS Network API","version":"0.1.0"},"servers":[{"url":"https://netw-p-bk-api.saas.ebs.bbchain.network","description":"Generated server url"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"NetworkPage":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/NetworkDescription"}},"metadata":{"$ref":"#/components/schemas/PageMetadata"}}},"NetworkDescription":{"type":"object","properties":{"alias":{"type":"string","description":"An alias for the network being created. Used to be easily recognized by the user."},"protocol":{"$ref":"#/components/schemas/NetworkDescriptionBaseProtocol"},"customer":{"type":"integer","format":"int64"},"tenant":{"$ref":"#/components/schemas/TenantDTO"},"organization":{"type":"string","maxLength":110,"minLength":2,"pattern":"^[A-Z][A-Za-z0-9]*(\\s[A-Za-z0-9]+)*$"},"city":{"type":"string","maxLength":64,"minLength":2,"pattern":"^[A-Z][A-Za-z]*(\\s[A-Za-z]+)*$"},"country":{"type":"string","maxLength":2,"minLength":2,"pattern":"^[A-Z][A-Z]$"},"id":{"type":"integer","format":"int64","readOnly":true},"status":{"type":"string","enum":["STARTING","RUNNING","CREATING","STOPPING","STOPPED","PENDING_UPDATE","DELETING","ERROR","PURGING","RESTARTING"]},"name":{"type":"string","description":"The name of the network as it will be built in the cloud. It must: be lowercase; not contain special characters; not be longer than X characters. TODO: define the max length properly","pattern":"^([a-z0-9]+)(\\-[a-z0-9]+)*"},"explorer":{"type":"string","readOnly":true},"internalDomain":{"type":"string","readOnly":true},"isPublic":{"type":"boolean"},"nodeNames":{"type":"array","description":"List of node names used in network creation.","items":{"type":"string"}},"payer":{"type":"string","format":"uuid","readOnly":true},"creationDate":{"type":"string","format":"date-time","readOnly":true},"createdBy":{"type":"string","description":"User or entity that created the network.","readOnly":true},"participants":{"type":"integer","format":"int64","readOnly":true},"nodes":{"type":"integer","format":"int64","readOnly":true},"platformVersion":{"type":"integer","format":"int32","readOnly":true},"isExternal":{"type":"boolean","readOnly":true},"hasGenesis":{"type":"boolean","readOnly":true},"sandboxConfiguration":{"$ref":"#/components/schemas/SandboxConfiguration"}},"required":["alias","city","country","customer","organization","protocol","tenant"]},"NetworkDescriptionBaseProtocol":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string","readOnly":true},"tag":{"type":"string","readOnly":true}},"required":["id"]},"TenantDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64","readOnly":true},"name":{"type":"string","description":"The name of the tenant.","readOnly":true},"lastUpdated":{"type":"string","format":"date-time","description":"Last time the tenant was updated.","readOnly":true},"location":{"$ref":"#/components/schemas/TenantLocationDTO"},"tier":{"$ref":"#/components/schemas/TenantTierDTO"}}},"TenantLocationDTO":{"type":"object","properties":{"name":{"type":"string","description":"The region where the cluster is deployed."},"coordinates":{"$ref":"#/components/schemas/TenantLocationDTOCoordinates"}},"required":["coordinates","name"]},"TenantLocationDTOCoordinates":{"type":"object","properties":{"longitude":{"type":"string"},"latitude":{"type":"string"}},"required":["latitude","longitude"]},"TenantTierDTO":{"type":"object","properties":{"name":{"type":"string","description":"User friendly name for cluster sizing."},"description":{"type":"string","description":"Info about the tenant"},"public":{"type":"boolean","description":"Defines if it is a public tenant or not"},"sizing":{"$ref":"#/components/schemas/TenantHardwareSizeDTO"}}},"TenantHardwareSizeDTO":{"type":"object","properties":{"vcpu":{"type":"number","format":"double","description":"Number of virtual cpus.","readOnly":true},"ram":{"type":"integer","format":"int64","description":"Size of RAM.","readOnly":true}},"required":["ram","vcpu"]},"SandboxConfiguration":{"type":"object","properties":{"network":{"type":"integer","format":"int64"},"mainUrl":{"type":"string"},"available":{"type":"boolean"},"id":{"type":"integer","format":"int64","readOnly":true}},"required":["available","mainUrl","network"]},"PageMetadata":{"type":"object","properties":{"page":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"totalItems":{"type":"integer","format":"int32"},"totalPages":{"type":"integer","format":"int32"}}},"Error":{"type":"object","properties":{"message":{"type":"string","description":"Error status summary for the executed command."},"code":{"type":"string","description":"# `network.{field}.invalid` field is non compliant # `auth.invalid` Invalid credentials sent to the server. # `auth.verifyEmail` User did not verified their email. # `auth.mustChangePassword` User must change password.         # `user.emailAlreadyUsed` Email already exists. # `auth.forbidden` Forbidden access # `internal.unexpected` Unexpected error from server ","enum":["auth.invalid","auth.verifyEmail","auth.unauthorized","auth.forbidden","auth.expired","auth.blocked","auth.emailDomainBlocked","auth.mustChangePassword","auth.invalidPhoneVerificationCode","auth.passwordNotValid","auth.unableToUpdatePassword","user.notFound","user.created","user.notCreated","user.emailAlreadyExists","userHasRoleInClient","notaryNotFound","notaryPublishDateTooEarly","notaryOrganizationNameConflict","notaryIsCreating","network.notFound","network.alias.invalid","network.name.invalid","network.domain.invalid","network.organizationLegalName.invalid","network.city.invalid","network.country.invalid","network.nodeDomain.invalid","network.tenant.invalid","networkUserDoesNotHavePermissionOnNode","networkUserDoesNotHaveOperatorPermissionOnNode","networkUserDoesNotHavePermissionOnNotary","networkUserDoesNotHaveOperatorPermissionOnNotary","node.notFound","nodeOrganizationNameConflict","cordappVersionShouldBeDisabled","cordappShouldNotHaveVersions","shouldWaitPendingFlagday","internal.unexpected","field.required","field.invalid","field.size","field.pattern","illegalStatus","badRequest","timeConstraint","reachedMaxNetworks","reachedSubscriptionLimit","userReachedSubscriptionLimit","subscriptionTenantNotFoundBecauseNetworkNotFound","subscriptionNodeNameConflict","featureDisabled","adminActionNotFound","adminActionExists","adminActionNotCreated","adminActionDuplicated","adminCloudProviderNotFound","adminCloudProviderExists","adminCloudProviderNotCreated","adminProtocolNotFound","adminProtocolExists","adminProtocolNotCreated","adminPipelineServiceNotFound","adminPipelineServiceExists","adminPipelineServiceNotCreated","adminTenantNotFound","adminTenantExists","adminTenantNotCreated","adminPipelineNotFound","adminPipelineExists","adminPipelineNotCreated","adminComponentNotFound","adminComponentExists","adminComponentNotCreated","adminTenantSettingsNotFound","adminTenantSettingsExists","adminTenantSettingsNotCreated","adminTenantProtocolNotFound","adminTenantProtocolExists","adminTenantProtocolNotCreated","adminFeatureToggleNotFound","adminFeatureToggleExists","adminUserNotFound","adminNetworkNotFound","adminNetworkExists","adminNodeNotFound","adminNodeExists","adminNotaryNotFound","adminNotaryExists","adminPipelineActionDuplicated","adminAppNotFound","adminAppVersionNotFound","adminAppInstallationNotFound","adminComponentTypeNotFound","adminComponentTypeExists","adminBaseDltNotFound","adminBaseDltExists","adminBaseDltNotCreated","adminIdentityProviderNotFound","adminIdentityProviderExists","adminIdentityProviderNotCreated","adminNodeFeatureNotFound","adminNodeFeatureExists","adminNodeFeatureNotCreated","adminSpecializedModuleNotFound","adminSpecializedModuleExists"]}}}}},"paths":{"/v1/networks":{"get":{"tags":["network-api-controller"],"summary":"Returns a list of networks","description":"Returns a list of networks the user can read and/or write.","operationId":"getNetworks","parameters":[{"name":"alias","in":"query","required":false,"schema":{"type":"string"}},{"name":"name","in":"query","required":false,"schema":{"type":"string"}},{"name":"customer","in":"query","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"protocol","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"status","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","enum":["STARTING","RUNNING","CREATING","STOPPING","STOPPED","PENDING_UPDATE","DELETING","ERROR","PURGING","RESTARTING"]}}},{"name":"tenantLocation","in":"query","required":false,"schema":{"type":"string"}},{"name":"isPublic","in":"query","required":false,"schema":{"type":"boolean"}},{"name":"tenantTier","in":"query","required":false,"schema":{"type":"string"}},{"name":"orderBy","in":"query","required":false,"schema":{}},{"name":"order","in":"query","required":false,"schema":{"enum":["ASC","DESC"]}},{"name":"page","in":"query","required":false,"schema":{}},{"name":"pageSize","in":"query","required":false,"schema":{}}],"responses":{"200":{"description":"A JSON object containing a list of networks","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NetworkPage"}}}},"401":{"description":"User is not authenticated.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}},"403":{"description":"User is authenticated but not allowed.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}},"500":{"description":"The message code is an encoded string that must be sent to the support team as a ticket.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}}}}}}}
```

## Creates a network

> Creates a network. In case of a Corda network, it'll be created with CENM, a notary and an initial node.

```json
{"openapi":"3.1.0","info":{"title":"EBS Network API","version":"0.1.0"},"servers":[{"url":"https://netw-p-bk-api.saas.ebs.bbchain.network","description":"Generated server url"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"NetworkDescription":{"type":"object","properties":{"alias":{"type":"string","description":"An alias for the network being created. Used to be easily recognized by the user."},"protocol":{"$ref":"#/components/schemas/NetworkDescriptionBaseProtocol"},"customer":{"type":"integer","format":"int64"},"tenant":{"$ref":"#/components/schemas/TenantDTO"},"organization":{"type":"string","maxLength":110,"minLength":2,"pattern":"^[A-Z][A-Za-z0-9]*(\\s[A-Za-z0-9]+)*$"},"city":{"type":"string","maxLength":64,"minLength":2,"pattern":"^[A-Z][A-Za-z]*(\\s[A-Za-z]+)*$"},"country":{"type":"string","maxLength":2,"minLength":2,"pattern":"^[A-Z][A-Z]$"},"id":{"type":"integer","format":"int64","readOnly":true},"status":{"type":"string","enum":["STARTING","RUNNING","CREATING","STOPPING","STOPPED","PENDING_UPDATE","DELETING","ERROR","PURGING","RESTARTING"]},"name":{"type":"string","description":"The name of the network as it will be built in the cloud. It must: be lowercase; not contain special characters; not be longer than X characters. TODO: define the max length properly","pattern":"^([a-z0-9]+)(\\-[a-z0-9]+)*"},"explorer":{"type":"string","readOnly":true},"internalDomain":{"type":"string","readOnly":true},"isPublic":{"type":"boolean"},"nodeNames":{"type":"array","description":"List of node names used in network creation.","items":{"type":"string"}},"payer":{"type":"string","format":"uuid","readOnly":true},"creationDate":{"type":"string","format":"date-time","readOnly":true},"createdBy":{"type":"string","description":"User or entity that created the network.","readOnly":true},"participants":{"type":"integer","format":"int64","readOnly":true},"nodes":{"type":"integer","format":"int64","readOnly":true},"platformVersion":{"type":"integer","format":"int32","readOnly":true},"isExternal":{"type":"boolean","readOnly":true},"hasGenesis":{"type":"boolean","readOnly":true},"sandboxConfiguration":{"$ref":"#/components/schemas/SandboxConfiguration"}},"required":["alias","city","country","customer","organization","protocol","tenant"]},"NetworkDescriptionBaseProtocol":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string","readOnly":true},"tag":{"type":"string","readOnly":true}},"required":["id"]},"TenantDTO":{"type":"object","properties":{"id":{"type":"integer","format":"int64","readOnly":true},"name":{"type":"string","description":"The name of the tenant.","readOnly":true},"lastUpdated":{"type":"string","format":"date-time","description":"Last time the tenant was updated.","readOnly":true},"location":{"$ref":"#/components/schemas/TenantLocationDTO"},"tier":{"$ref":"#/components/schemas/TenantTierDTO"}}},"TenantLocationDTO":{"type":"object","properties":{"name":{"type":"string","description":"The region where the cluster is deployed."},"coordinates":{"$ref":"#/components/schemas/TenantLocationDTOCoordinates"}},"required":["coordinates","name"]},"TenantLocationDTOCoordinates":{"type":"object","properties":{"longitude":{"type":"string"},"latitude":{"type":"string"}},"required":["latitude","longitude"]},"TenantTierDTO":{"type":"object","properties":{"name":{"type":"string","description":"User friendly name for cluster sizing."},"description":{"type":"string","description":"Info about the tenant"},"public":{"type":"boolean","description":"Defines if it is a public tenant or not"},"sizing":{"$ref":"#/components/schemas/TenantHardwareSizeDTO"}}},"TenantHardwareSizeDTO":{"type":"object","properties":{"vcpu":{"type":"number","format":"double","description":"Number of virtual cpus.","readOnly":true},"ram":{"type":"integer","format":"int64","description":"Size of RAM.","readOnly":true}},"required":["ram","vcpu"]},"SandboxConfiguration":{"type":"object","properties":{"network":{"type":"integer","format":"int64"},"mainUrl":{"type":"string"},"available":{"type":"boolean"},"id":{"type":"integer","format":"int64","readOnly":true}},"required":["available","mainUrl","network"]},"Error":{"type":"object","properties":{"message":{"type":"string","description":"Error status summary for the executed command."},"code":{"type":"string","description":"# `network.{field}.invalid` field is non compliant # `auth.invalid` Invalid credentials sent to the server. # `auth.verifyEmail` User did not verified their email. # `auth.mustChangePassword` User must change password.         # `user.emailAlreadyUsed` Email already exists. # `auth.forbidden` Forbidden access # `internal.unexpected` Unexpected error from server ","enum":["auth.invalid","auth.verifyEmail","auth.unauthorized","auth.forbidden","auth.expired","auth.blocked","auth.emailDomainBlocked","auth.mustChangePassword","auth.invalidPhoneVerificationCode","auth.passwordNotValid","auth.unableToUpdatePassword","user.notFound","user.created","user.notCreated","user.emailAlreadyExists","userHasRoleInClient","notaryNotFound","notaryPublishDateTooEarly","notaryOrganizationNameConflict","notaryIsCreating","network.notFound","network.alias.invalid","network.name.invalid","network.domain.invalid","network.organizationLegalName.invalid","network.city.invalid","network.country.invalid","network.nodeDomain.invalid","network.tenant.invalid","networkUserDoesNotHavePermissionOnNode","networkUserDoesNotHaveOperatorPermissionOnNode","networkUserDoesNotHavePermissionOnNotary","networkUserDoesNotHaveOperatorPermissionOnNotary","node.notFound","nodeOrganizationNameConflict","cordappVersionShouldBeDisabled","cordappShouldNotHaveVersions","shouldWaitPendingFlagday","internal.unexpected","field.required","field.invalid","field.size","field.pattern","illegalStatus","badRequest","timeConstraint","reachedMaxNetworks","reachedSubscriptionLimit","userReachedSubscriptionLimit","subscriptionTenantNotFoundBecauseNetworkNotFound","subscriptionNodeNameConflict","featureDisabled","adminActionNotFound","adminActionExists","adminActionNotCreated","adminActionDuplicated","adminCloudProviderNotFound","adminCloudProviderExists","adminCloudProviderNotCreated","adminProtocolNotFound","adminProtocolExists","adminProtocolNotCreated","adminPipelineServiceNotFound","adminPipelineServiceExists","adminPipelineServiceNotCreated","adminTenantNotFound","adminTenantExists","adminTenantNotCreated","adminPipelineNotFound","adminPipelineExists","adminPipelineNotCreated","adminComponentNotFound","adminComponentExists","adminComponentNotCreated","adminTenantSettingsNotFound","adminTenantSettingsExists","adminTenantSettingsNotCreated","adminTenantProtocolNotFound","adminTenantProtocolExists","adminTenantProtocolNotCreated","adminFeatureToggleNotFound","adminFeatureToggleExists","adminUserNotFound","adminNetworkNotFound","adminNetworkExists","adminNodeNotFound","adminNodeExists","adminNotaryNotFound","adminNotaryExists","adminPipelineActionDuplicated","adminAppNotFound","adminAppVersionNotFound","adminAppInstallationNotFound","adminComponentTypeNotFound","adminComponentTypeExists","adminBaseDltNotFound","adminBaseDltExists","adminBaseDltNotCreated","adminIdentityProviderNotFound","adminIdentityProviderExists","adminIdentityProviderNotCreated","adminNodeFeatureNotFound","adminNodeFeatureExists","adminNodeFeatureNotCreated","adminSpecializedModuleNotFound","adminSpecializedModuleExists"]}}}}},"paths":{"/v1/networks":{"post":{"tags":["network-api-controller"],"summary":"Creates a network","description":"Creates a network. In case of a Corda network, it'll be created with CENM, a notary and an initial node.","operationId":"postNetwork","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NetworkDescription"}}},"required":true},"responses":{"201":{"description":"Network created.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NetworkDescription"}}}},"400":{"description":"Invalid request","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}},"401":{"description":"User is not authenticated.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}},"403":{"description":"User is authenticated but not allowed.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}},"500":{"description":"The message code is an encoded string that must be sent to the support team as a ticket.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}}}}}}}
```

## GET /v1/networks/{network-id}/genesis

>

```json
{"openapi":"3.1.0","info":{"title":"EBS Network API","version":"0.1.0"},"servers":[{"url":"https://netw-p-bk-api.saas.ebs.bbchain.network","description":"Generated server url"}],"paths":{"/v1/networks/{network-id}/genesis":{"get":{"tags":["network-api-controller"],"operationId":"getGenesis","parameters":[{"name":"network-id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"File downloaded successfully","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}},"application/json":{"schema":{"type":"string","format":"binary"}}}},"401":{"description":"User is not authenticated.","content":{"application/octet-stream":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}},"403":{"description":"User is authenticated but not allowed.","content":{"application/octet-stream":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}},"404":{"description":"Resource does not exists.","content":{"application/octet-stream":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}}}}}},"components":{"schemas":{"Error":{"type":"object","properties":{"message":{"type":"string","description":"Error status summary for the executed command."},"code":{"type":"string","description":"# `network.{field}.invalid` field is non compliant # `auth.invalid` Invalid credentials sent to the server. # `auth.verifyEmail` User did not verified their email. # `auth.mustChangePassword` User must change password.         # `user.emailAlreadyUsed` Email already exists. # `auth.forbidden` Forbidden access # `internal.unexpected` Unexpected error from server ","enum":["auth.invalid","auth.verifyEmail","auth.unauthorized","auth.forbidden","auth.expired","auth.blocked","auth.emailDomainBlocked","auth.mustChangePassword","auth.invalidPhoneVerificationCode","auth.passwordNotValid","auth.unableToUpdatePassword","user.notFound","user.created","user.notCreated","user.emailAlreadyExists","userHasRoleInClient","notaryNotFound","notaryPublishDateTooEarly","notaryOrganizationNameConflict","notaryIsCreating","network.notFound","network.alias.invalid","network.name.invalid","network.domain.invalid","network.organizationLegalName.invalid","network.city.invalid","network.country.invalid","network.nodeDomain.invalid","network.tenant.invalid","networkUserDoesNotHavePermissionOnNode","networkUserDoesNotHaveOperatorPermissionOnNode","networkUserDoesNotHavePermissionOnNotary","networkUserDoesNotHaveOperatorPermissionOnNotary","node.notFound","nodeOrganizationNameConflict","cordappVersionShouldBeDisabled","cordappShouldNotHaveVersions","shouldWaitPendingFlagday","internal.unexpected","field.required","field.invalid","field.size","field.pattern","illegalStatus","badRequest","timeConstraint","reachedMaxNetworks","reachedSubscriptionLimit","userReachedSubscriptionLimit","subscriptionTenantNotFoundBecauseNetworkNotFound","subscriptionNodeNameConflict","featureDisabled","adminActionNotFound","adminActionExists","adminActionNotCreated","adminActionDuplicated","adminCloudProviderNotFound","adminCloudProviderExists","adminCloudProviderNotCreated","adminProtocolNotFound","adminProtocolExists","adminProtocolNotCreated","adminPipelineServiceNotFound","adminPipelineServiceExists","adminPipelineServiceNotCreated","adminTenantNotFound","adminTenantExists","adminTenantNotCreated","adminPipelineNotFound","adminPipelineExists","adminPipelineNotCreated","adminComponentNotFound","adminComponentExists","adminComponentNotCreated","adminTenantSettingsNotFound","adminTenantSettingsExists","adminTenantSettingsNotCreated","adminTenantProtocolNotFound","adminTenantProtocolExists","adminTenantProtocolNotCreated","adminFeatureToggleNotFound","adminFeatureToggleExists","adminUserNotFound","adminNetworkNotFound","adminNetworkExists","adminNodeNotFound","adminNodeExists","adminNotaryNotFound","adminNotaryExists","adminPipelineActionDuplicated","adminAppNotFound","adminAppVersionNotFound","adminAppInstallationNotFound","adminComponentTypeNotFound","adminComponentTypeExists","adminBaseDltNotFound","adminBaseDltExists","adminBaseDltNotCreated","adminIdentityProviderNotFound","adminIdentityProviderExists","adminIdentityProviderNotCreated","adminNodeFeatureNotFound","adminNodeFeatureExists","adminNodeFeatureNotCreated","adminSpecializedModuleNotFound","adminSpecializedModuleExists"]}}}}}}
```

## Returns the activity log of a network

> Returns

```json
{"openapi":"3.1.0","info":{"title":"EBS Network API","version":"0.1.0"},"servers":[{"url":"https://netw-p-bk-api.saas.ebs.bbchain.network","description":"Generated server url"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"NetworkActivityPage":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/NetworkActivity"}},"metadata":{"$ref":"#/components/schemas/PageMetadata"}}},"NetworkActivity":{"type":"object","properties":{"event":{"type":"string","enum":["login","TODO"]},"logTime":{"type":"string","format":"date"},"description":{"type":"string"}}},"PageMetadata":{"type":"object","properties":{"page":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"totalItems":{"type":"integer","format":"int32"},"totalPages":{"type":"integer","format":"int32"}}},"Error":{"type":"object","properties":{"message":{"type":"string","description":"Error status summary for the executed command."},"code":{"type":"string","description":"# `network.{field}.invalid` field is non compliant # `auth.invalid` Invalid credentials sent to the server. # `auth.verifyEmail` User did not verified their email. # `auth.mustChangePassword` User must change password.         # `user.emailAlreadyUsed` Email already exists. # `auth.forbidden` Forbidden access # `internal.unexpected` Unexpected error from server ","enum":["auth.invalid","auth.verifyEmail","auth.unauthorized","auth.forbidden","auth.expired","auth.blocked","auth.emailDomainBlocked","auth.mustChangePassword","auth.invalidPhoneVerificationCode","auth.passwordNotValid","auth.unableToUpdatePassword","user.notFound","user.created","user.notCreated","user.emailAlreadyExists","userHasRoleInClient","notaryNotFound","notaryPublishDateTooEarly","notaryOrganizationNameConflict","notaryIsCreating","network.notFound","network.alias.invalid","network.name.invalid","network.domain.invalid","network.organizationLegalName.invalid","network.city.invalid","network.country.invalid","network.nodeDomain.invalid","network.tenant.invalid","networkUserDoesNotHavePermissionOnNode","networkUserDoesNotHaveOperatorPermissionOnNode","networkUserDoesNotHavePermissionOnNotary","networkUserDoesNotHaveOperatorPermissionOnNotary","node.notFound","nodeOrganizationNameConflict","cordappVersionShouldBeDisabled","cordappShouldNotHaveVersions","shouldWaitPendingFlagday","internal.unexpected","field.required","field.invalid","field.size","field.pattern","illegalStatus","badRequest","timeConstraint","reachedMaxNetworks","reachedSubscriptionLimit","userReachedSubscriptionLimit","subscriptionTenantNotFoundBecauseNetworkNotFound","subscriptionNodeNameConflict","featureDisabled","adminActionNotFound","adminActionExists","adminActionNotCreated","adminActionDuplicated","adminCloudProviderNotFound","adminCloudProviderExists","adminCloudProviderNotCreated","adminProtocolNotFound","adminProtocolExists","adminProtocolNotCreated","adminPipelineServiceNotFound","adminPipelineServiceExists","adminPipelineServiceNotCreated","adminTenantNotFound","adminTenantExists","adminTenantNotCreated","adminPipelineNotFound","adminPipelineExists","adminPipelineNotCreated","adminComponentNotFound","adminComponentExists","adminComponentNotCreated","adminTenantSettingsNotFound","adminTenantSettingsExists","adminTenantSettingsNotCreated","adminTenantProtocolNotFound","adminTenantProtocolExists","adminTenantProtocolNotCreated","adminFeatureToggleNotFound","adminFeatureToggleExists","adminUserNotFound","adminNetworkNotFound","adminNetworkExists","adminNodeNotFound","adminNodeExists","adminNotaryNotFound","adminNotaryExists","adminPipelineActionDuplicated","adminAppNotFound","adminAppVersionNotFound","adminAppInstallationNotFound","adminComponentTypeNotFound","adminComponentTypeExists","adminBaseDltNotFound","adminBaseDltExists","adminBaseDltNotCreated","adminIdentityProviderNotFound","adminIdentityProviderExists","adminIdentityProviderNotCreated","adminNodeFeatureNotFound","adminNodeFeatureExists","adminNodeFeatureNotCreated","adminSpecializedModuleNotFound","adminSpecializedModuleExists"]}}}}},"paths":{"/v1/networks/{network-id}/activity":{"get":{"tags":["network-api-controller"],"summary":"Returns the activity log of a network","description":"Returns","operationId":"getNetworkActivity","parameters":[{"name":"network-id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"event","in":"query","required":false,"schema":{"type":"string"}},{"name":"from","in":"query","required":false,"schema":{"type":"string"}},{"name":"to","in":"query","required":false,"schema":{"type":"string"}},{"name":"orderBy","in":"query","required":false,"schema":{}},{"name":"order","in":"query","required":false,"schema":{"enum":["ASC","DESC"]}},{"name":"page","in":"query","required":false,"schema":{}},{"name":"pageSize","in":"query","required":false,"schema":{}}],"responses":{"200":{"description":"Successfull Request TODO","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NetworkActivityPage"}}}},"401":{"description":"User is not authenticated.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}},"403":{"description":"User is authenticated but not allowed.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}},"404":{"description":"Resource does not exists.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}},"500":{"description":"The message code is an encoded string that must be sent to the support team as a ticket.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}}}}}}}}
```
